<script type="text/javascript">	
$(document).ready(function() {
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#tgl_awal").val(data.tanggal);
				$("#tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$('#l_kodeplg').focus();
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cariplg').click(function(){
		$('#form_cari_plg').dialog('open');		
		$("#txt_cariplg").focus();
		return false;
	});
	
	$("#txt_cariplg").keyup(function(){		
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "adm_jual/penjualan/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pelanggan").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$("#l_kodeplg").keyup(function() {
		var kode 	= $("#l_kodeplg").val()
		
		if(kode.length==4){
			
		$.ajax({
			type	: "POST",
			url		: "adm_jual/penjualan/cari_plg.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#l_kodeplg").val(kode);
				$("#l_namaplg").val(data.namaplg);
				var namaplg = $("#l_namaplg").val();
				if(namaplg.length==0){
					alert("Maaf, data pelanggan "+kode+" tidak ditemukan.");
					return (false);
				}
			}
		});
		}
	});

	$("#cari_his").click(function(){
		var tgl_awal  = $("#tgl_awal").val();
		var tgl_akhir = $("#tgl_akhir").val();
		var kodeplg   = $("#l_kodeplg").val();
		var namast    = $("#t_namast").val();
		
		if(kodeplg.length==0){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#l_kodeplg").focus();
			return false;
		}
		if(tgl_awal.length==0){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==0){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#tgl_akhir").focus();
			return false;
		}
		$("#datapj").show();
		$("#datapj").load('modul/report/tampil_history_pl.php?kodeplg='+kodeplg+'&tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&namast='+namast);
	});
	
	$("#t_namast").keyup(function(){
		var tgl_awal  = $("#tgl_awal").val();
		var tgl_akhir = $("#tgl_akhir").val();
		var kodeplg   = $("#l_kodeplg").val();
		var namast    = $("#t_namast").val();
		
		if(kodeplg.length==0){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#l_kodeplg").focus();
			return false;
		}
		if(tgl_awal.length==0){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==0){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#tgl_akhir").focus();
			return false;
		}
		$("#datapj").show();
		$("#datapj").load('modul/report/tampil_history_pl.php?kodeplg='+kodeplg+'&tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&namast='+namast);
	});
	
	$("#cetak_his").click(function() {
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir = $("#tgl_akhir").val();
		var kodeplg  = $("#l_kodeplg").val();
		var namaplg = $("#l_namaplg").val();
		var namast    = $("#t_namast").val();
				
		
		if(kodeplg.length==0){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#l_kodeplg").focus();
			return false;
		}
		if(tgl_awal.length==0){
			alert('Maaf, Tanggal awal periode belum terisi.');
			$("#tgl_awpl").focus();
			return false;
		}
		if(tgl_akhir.length==0){
			alert('Maaf, Tanggal akhir periode masih kosong.');
			$("#tgl_akpl").focus();
			return false;
		}
		window.location.href='modul/laporan/rekap_pjpl.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodeplg='+kodeplg+'&namaplg='+namaplg+'&namast='+namast;
	});
	
	$("#tutup_his").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h3>HISTORY PENJUALAN PELANGGAN<h3></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td width='10%'>Pelanggan</td>
				<td>: <input type='text' name='l_kodeplg' id='l_kodeplg' size='3' class='input_header' >
					<img src='images/view.png' width='18' height='18' title='Cari Pelanggan' id='cariplg'>
					<input type='text' name='l_namaplg' id='l_namaplg' size='20' class='input_header' readonly />
				</td>
				<td width='13%'>Nama Barang</td>
				<td>: <input type='text' name='t_namast' id='t_namast' size='20' class='input_header'/>
			</tr>
		</table>
		<table width='100%'>
			<tr>
				<td width='10%'>Tanggal</td>
				<td>: <input type='date' name='tgl_awal' id='tgl_awal' size='10' class='input_header'> S/D <input type='date' name='tgl_akhir' id='tgl_akhir' size='10' class='input_header' ></td>
				<td colspan='12' align='center'>
					<button name='cari_his' id='cari_his'>CARI</button>
					<button name='cetak_his' id='cetak_his'>CETAK</button>
					<button name='tutup_his' id='tutup_his'>TUTUP</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";

echo "<div id='datapj' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
echo "</div>";
?>
